# Manage share

`PATCH https://api.airtable.com/v0/meta/bases/{baseId}/shares/{shareId}`

Manages share state.

## Requirements

- **Authentication:** [Personal access token](https://airtable.com/developers/web/api/authentication.md#types-of-token), [OAuth integration](https://airtable.com/developers/web/api/authentication.md#types-of-token)
- **Scope:** [`workspacesAndBases.shares:manage`](https://airtable.com/developers/web/api/scopes.md#workspaces-and-bases-shares-manage)
- **User role:** Base editor with caveats, see `state` below
- **Billing plans:** Enterprise (pre-2023.08 legacy plan), Enterprise Scale

## Path parameters

- `baseId: string`

- `shareId: string`

## Request body

- `state: "enabled" | "disabled"` — required

  When _enabling_ a share a user is subject to
  [sharing restrictions](https://support.airtable.com/docs/workspace-sharing-restrictions).
  These restrictions are not applicable when disabling a share.

## Response format

### Example — Example Request

```sh
curl -X PATCH "https://api.airtable.com/v0/meta/bases/{baseId}/shares/{shareId}" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
--data '{
    "state": "disabled"
  }'
```
